<!-- 搜索表单 -->
<template>
  <seekPage :seekList="seekList" :formLength="3" @search="search"></seekPage>
</template>
<script>
  export default {
    data() {
      return {};
    },
    props: {
      approvalList: {
        type: Array,
        default: () => []
      }
    },
    computed: {
      // 表格列配置
      seekList() {
        return [
          {
            label: '编码:',
            value: 'code',
            type: 'input',
            placeholder: ''
          },
          {
            label: '工单名称:',
            value: 'workOrderName',
            type: 'input',
            placeholder: ''
          },
          {
            label: '客户名称:',
            value: 'contactName',
            type: 'input',
            placeholder: ''
          },
          {
            label: '流程状态:',
            width: 380,
            value: 'approvalStatus',
            type: 'select',
            planList: this.approvalList,
            placeholder: ''
          }
        ];
      }
    },
    methods: {
      /* 搜索 */
      search(e) {
        this.$emit('search', {
          ...e
        });
      }
    }
  };
</script>
